%function [options,param]=one_expe_modelBY(str_expe,seed)
%%% script for simulation inside modelBY
%%% -> stored experimental conditions

% str_expe: string describing the experimental conditions ('HH' roughly means 'initialize with modelBY_init_HH.m')
% seed: integer, the random seed used for simulations (fix it for obtaining reproducible results; change it for checking what happens with different initial conditions)

options.seed=seed;
randn('state',options.seed);
rand('state',options.seed);


%%%%%%%%%%%%%%%% Simulation options

%	options: structure containing parameters of the computation
%		options.Tmax: maximal time 
%		options.Tmin: minimal time in output (default: min(t))
%		options.nb_steps: number of discretization steps per year (positive integer)

options.nb_steps=100;% number of discretization steps per year
options.Tmax=0;


%%%% Debugging the loop ? 1=yes 0=no
options.z_debug=0;

%%%%%%%%%%%%%%%% Initialize parameters:

options.root_file_name=['modelBY_' str_expe];

%fprintf('One experiment called %s\n',options.root_file_name);

%%% Default values

options.window_long=100;
options.window_short=20;
options.window_3d=900;
options.z_long=1;
options.z_short=1;
options.z_3d=1;

switch options.root_file_name
case 'modelBY_HH'
modelBY_init_HH;
options.Tmax=2000;

otherwise
fprintf('Unknown (?) experimental condition in one_expe_modelBY.m\n');
eval(['modelBY_init_' str_expe]);
options.Tmax=0;
end

options.Tmin=max(0,options.Tmax-max(120,max(options.window_long,options.window_short)));


tmp_file_name=[current_dir options.root_file_name '_seed' num2str(seed)];


